curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?assets=btc&metrics=PriceUSD,SplyBMXNtv&start_time=2020-02-29&end_time=2020-03-01&frequency=1d&pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"time": "2020-02-29T00:00:00.000000000Z",
"PriceUSD": "8582.09029964933",
"SplyBMXNtv": "283220.10827406",
"SplyBMXNtv-status": "reviewed",
"SplyBMXNtv-status-time": "2020-03-01T09:59:13.847251000Z"
},
{
"asset": "btc",
"time": "2020-03-01T00:00:00.000000000Z",
"PriceUSD": "8541.77389392169",
"SplyBMXNtv": "284691.32323907",
"SplyBMXNtv-status": "reviewed",
"SplyBMXNtv-status-time": "2020-03-02T14:00:02.622168000Z"
}
],
"next_page_token": "0.MjAyMC0wNi0wN1QwMDowMDowMFo,MjAyMC0wNi0wN1QwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=<your_key>&pretty=true&assets=btc&metrics=SplyBMXNtv,PriceUSD&page_size=2&next_page_token=0.MjAyMC0wNi0wN1QwMDowMDowMFo,MjAyMC0wNi0wN1QwMDowMDowMFo"
}Asset metrics
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?assets=btc&metrics=PriceUSD,SplyBMXNtv&start_time=2020-02-29&end_time=2020-03-01&frequency=1d&pretty=true&api_key=<your_key>"{
"data": [
{
"asset": "btc",
"time": "2020-02-29T00:00:00.000000000Z",
"PriceUSD": "8582.09029964933",
"SplyBMXNtv": "283220.10827406",
"SplyBMXNtv-status": "reviewed",
"SplyBMXNtv-status-time": "2020-03-01T09:59:13.847251000Z"
},
{
"asset": "btc",
"time": "2020-03-01T00:00:00.000000000Z",
"PriceUSD": "8541.77389392169",
"SplyBMXNtv": "284691.32323907",
"SplyBMXNtv-status": "reviewed",
"SplyBMXNtv-status-time": "2020-03-02T14:00:02.622168000Z"
}
],
"next_page_token": "0.MjAyMC0wNi0wN1QwMDowMDowMFo,MjAyMC0wNi0wN1QwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=<your_key>&pretty=true&assets=btc&metrics=SplyBMXNtv,PriceUSD&page_size=2&next_page_token=0.MjAyMC0wNi0wN1QwMDowMDowMFo,MjAyMC0wNi0wN1QwMDowMDowMFo"
}Authorizations
Query Parameters
Comma separated list of assets.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported assets or specify asterisk (*) in order to get metrics for all supported assets.
Comma separated metrics to request time series data for.
Information on all available metrics can be found on page https://coverage.coinmetrics.io/asset-metrics-v2.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported metrics per asset.
["AdrActCnt", "BlkHgt"]
Frequency of the metrics. Supported values are 1b (block by block), 1s (one second), 1m (one minute), 5m (five minutes), 10m (ten minutes), 1h (one hour), 1d (one day), 1d-ny-close (one day at New York close time). Please refer to the /catalog-v2/asset-metrics endpoint for the full list.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported frequencies per asset-metric pair.
"1b"
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height and start_hash.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with end_height and end_hash.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Specifies how many blocks behind the chain tip block by block metrics (1b frequency) are based on. Default for btc is 2 and 99 for eth. For example, a min_confirmations of 0 means metrics are being calculated for the block at the tip of the chain (the latest block received by our node) whereas a min_confirmations of 6 means that metrics are being applied to the block that is 6 blocks behind the chain tip (i.e., the 7th block if the chain tip is block 1).
0 <= x <= 99Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"
How results will be sorted. Metrics with 1b frequency are sorted by (asset, height, block_hash) tuples by default. Metrics with other frequencies are sorted by (asset, time) by default. If you want to sort 1d metrics by (time, asset) you should choose time as value for the sort parameter.
Sorting by time is useful if you request metrics for a set of assets.
asset, height, time 
